### Method

# Gtk EventControllerget_current_event_device

#### Declaration [src]

    GdkDevice*
    gtk_event_controller_get_current_event_device (
      GtkEventController* controller
    )

#### Description [src]

Returns the device of the event that is currently being handled by the controller.

At other times, `NULL` is returned.

#### Return value

Type: `GdkDevice`

Device of the event is currently handled by `controller`.

The data is owned by the instance.
The return value can be `NULL`.